Bug 1197847 - LIRS eviction strategy fixes
Summary: LIRS eviction strategy fixes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 6.5.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1198452 1202353
TreeView+ depends on / blocked
 
Reported: 2015-03-02 18:26 UTC by William Burns
Modified: 2015-06-23 12:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1202353 (view as bug list)
Environment:
Last Closed: 2015-06-23 12:25:30 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3023 Minor Resolved Re-implement BoundedConcurrentHashMap using CHMv8 designs 2017-11-27 10:31:48 UTC

Description William Burns 2015-03-02 18:26:27 UTC
Description of problem:
This is to backport ISPN-3023 to JDG 6.5


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 William Burns 2015-03-02 20:53:40 UTC
Have to port 6.4 as well.

Comment 3 Sebastian Łaskawiec 2015-03-03 09:57:08 UTC
PR: https://github.com/infinispan/jdg/pull/530

Comment 4 William Burns 2015-03-03 13:17:21 UTC
6.4 PR: https://github.com/infinispan/jdg/pull/536

Comment 5 Sebastian Łaskawiec 2015-03-04 08:00:58 UTC
Typo fixes: https://github.com/infinispan/jdg/pull/537

Comment 6 William Burns 2015-03-06 15:59:29 UTC
Additional test changes: https://github.com/infinispan/jdg/pull/545

Comment 7 William Burns 2015-03-06 15:59:51 UTC
Moved to next build.


Note You need to log in before you can comment on or make changes to this bug.